Skip to main content

Is Contract

POST

Checks whether the input address is a contract address or not.
Path Parameters
chainstringrequired
Parameter specifying the target chain to query.
networkstringrequired
Parameter specifying the network of the target chain.
Request Body
addressstringrequired
Parameter specifying the account address to query. This field uses a 34-character base58 string format starting with "T".
Responses
resultboolean
Returns true if the input address is a contract, false otherwise.
codestringrequired
Code identifying the cause of the failed request.
messagestringrequired
Detailed message including the name and value of the invalid parameter.
{
"code": "MISSING_REQUIRED_PARAMETER",
"message": "Missing required parameter: { PARAMETER_NAME }"
}
cURL
curl -X POST 'https://web3.nodit.io/v1/tron/mainnet/blockchain/isContract' \
-H 'Content-Type: application/json' \
-H 'X-API-KEY: nodit-demo' \
-d '{
"address": "T9123456789012345678901234567890123456789"
}'